<?php
require('../fpdf/fpdf.php');

class PDF extends FPDF
{
    // Cabecera de página
    function Header()
    {

        // Arial Bold
        $this->SetFont('Arial', 'B', 16);

        // Título
        $this->Cell(70, 10, 'LISTA DE COTIZACIONES');
        // Salto de línea
        $this->Ln(16);
        // Colores 
        //$this->SetDrawColor(128,0,0);
        //$this->SetFillColor(128, 0, 0);

        //color blanco para el texto - parte titulo
        //$this->SetTextColor(255, 255, 255);
        //color azul oscuro de las celdas - parte titulo 
        //$this->SetDrawColor(11, 63, 71);
        //color negro del relleno de la celda en celda especifica - parte titulo 
        //$this->Cell(10, 6, "ID", 1, 0, 'C', 1);

        $this->Cell(24, 6, "NRO", 1, 0, 'C');
        $this->Cell(40, 6, "Fecha - Hora", 1, 0, 'C');
        $this->Cell(63, 6, "Cliente", 1, 0, 'C');
        $this->Cell(34, 6, "Vendedor", 1, 0, 'C');
        $this->Cell(38, 6, "Total Factura", 1, 0, 'C');
    }

    // Pie de página
    function Footer()
    {
        // Posición: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial', 'I', 8);
        // Número de página
        $this->Cell(0, 10, utf8_decode('Página') . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }
}

require '../conexion.php';
$query = mysqli_query($conection, "SELECT f.nofactura,f.fecha,f.totalfactura,f.codcliente,f.estatus,
                                                     u.nombre as vendedor,
                                                     cl.nombre as cliente
                                              FROM factura f
                                              INNER JOIN usuario u
                                              ON f.usuario = u.idusuario
                                              INNER JOIN cliente cl
                                              ON f.codcliente = cl.idcliente
                                              WHERE f.estatus != 10
                                              ORDER BY f.fecha ASC ");
mysqli_close($conection);


$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 11);

while ($data = mysqli_fetch_array($query)) {
    if ($data["estatus"] == 1) {
        $estado = 'Pagada';
    } else {
        $estado = 'Anulada';
    }

    //$pdf->SetFillColor(11, 63, 71);

    //color azul oscuro de las celdas - parte datos 
    //$pdf->SetDrawColor(11, 63, 71);
    //color blanco para el texto - parte datos 
    //$pdf->SetTextColor(255, 255, 255);
    //color negro del relleno de la celda en celda especifica - parte datos 
    //$pdf->Cell(10, 5, $data['idcliente'], 1, 0, 'C',1);


    $pdf->Ln();
    $pdf->Cell(24, 5, 'No 2024-0'.$data['nofactura'], 1, 0, 'C');
    $pdf->Cell(40, 5, $data['fecha'], 1, 0, 'C');
    $pdf->Cell(63, 5, $data['cliente'], 1, 0, 'C');
    $pdf->Cell(34, 5, $data['vendedor'], 1, 0, 'C');
    $pdf->Cell(38, 5, 'S/.'.$data['totalfactura'], 1, 0, 'C');
}

$modo = "I";
$nombre_archivo = "Cotizaciones" . ".pdf";
$pdf->Output($nombre_archivo, $modo);
